Unify render_error in unattended and template rendering

05/07/2019 03:51 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6746

  

Description

Getting wrong number of arguments:

app/controllers/unattended_controller.rb:83:in `render_error'

app/controllers/concerns/foreman/controller/template_rendering.rb:19:in `rescue in safe_render'

app/controllers/concerns/foreman/controller/template_rendering.rb:15:in `safe_render'

app/controllers/concerns/foreman/controller/template_rendering.rb:9:in `render_template'

app/controllers/unattended_controller.rb:130:in `render_provisioning_template'

app/controllers/unattended_controller.rb:68:in `host_template'

app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller

'

lib/foreman/middleware/telemetry.rb:10:in `call'

lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

lib/foreman/middleware/logging_context_session.rb:22:in `call'

lib/foreman/middleware/logging_context_request.rb:11:in `call'

Associated revisions

Revision 6bb54875 - 08/25/2019 01:44 PM - Lukas Zapletal

Fixes #26758 - unify renderer_error helper

History

#1 - 05/07/2019 04:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6746 added

#2 - 08/20/2019 10:55 AM - Lukas Zapletal

- Target version set to 1.23.0

Actually 1.23 is affected too.

#3 - 08/25/2019 01:44 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/25/2019 01:45 PM - Tomer Brisker

- Fixed in Releases 1.23.0 added

- Fixed in Releases deleted (1.24.0)

#5 - 08/25/2019 02:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed
Applied in changeset 6bb5487502df2e315f934f529b3e0d8f8ba6f5f1.
